Skip to navigation

Create Widget Template

Creates a Widget Template.

Note: There is a limit of 1000 custom widget templates per channel, and a limit of 5000 across all channels.

Required Fields

  • name
  • template

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
namestringRequired

User-friendly name.

templatestringRequiredformat: "html"
Handlebars HTML content. Also has access to Stencil Paper helpers.
schemalist of objectsOptional

The schema for the widget’s merchant-facing UI. For more information on the available schema settings, see Widget UI Schema.

storefront_api_querystringOptional
The GraphQL Storefront API query that provides widget data.
channel_idintegerOptional
The id of the channel on which to create this template. Defaults to the first channel created on the store.

Response

The requested widget template.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error